<!DOCTYPE html>
<html>
<header>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <style>
        .text-center {
            text-align: center;
            margin-left: auto;
            margin-right: auto;
        }
    </style>
</header>

<body>
    <div class="container">
        <div class="text-center">
            <canvas id="papir" width="600" height="600" align="center" style="border:1px solid #d3d3d3;">
                Your browser does not support the HTML5 canvas tag.</canvas>
        </div>
        <script>
            var c = document.getElementById("papir");
            var ctx = c.getContext("2d");
            var dash = 5;
            var step = 0.01;
            var width = 600;
            var height = 600;
            var max_x = 10;
            var max_y = 10;

            //za crtanje iscrtkane linije po sredini canvas-a
            for (i = 0; i < width; i += 10) {
                ctx.moveTo(i + dash, height / 2);
                ctx.lineTo(i, height / 2);
            }
            ctx.stroke();

            function transy(y) {
                return (-height / max_y) * y + height / 2;
            }

            function transx(x) {
                return (width / max_x) * x;
            }

            var x = 0, y = 0;

            for (x = 0; x <= max_x; x += step) {
                y = Math.sin(x);
                if (x == step) {
                    ctx.moveTo(transx(x), transy(y));
                }
                ctx.lineTo(transx(x), transy(y));
                ctx.stroke();
                ctx.moveTo(transx(x), transy(y));
            }
        </script>
    </div>
</body>

</html>